Skip to main content
PATCH
Update replica aware routing
Beta This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.

Updates replica aware routing (sticky routing) for the service. Requires the organization feature to be enabled. Provide at least one of httpEnabled, nativeEnabled; omit a field to leave it unchanged.

Permission

The API key must have the control-plane:service:manage permission.

Authorizations

Authorization
string
header
required

Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi

Path Parameters

organizationId
string<uuid>
required

ID of the organization that owns the service.

serviceId
string<uuid>
required

ID of the service.

Body

application/json
httpEnabled
boolean

Whether replica aware routing is enabled for HTTP connections. Omit to leave unchanged.

nativeEnabled
boolean

Whether replica aware routing is enabled for native protocol connections. Omit to leave unchanged.

Response

Successful response

status
number

HTTP status code.

Example:

200

requestId
string<uuid>

Unique id assigned to every request. UUIDv4

result
object
Last modified on October 10, 2026